dav1d(1)

NAME
dav1d - fast and small AV1 video stream decoder

SYNOPSIS
dav1d [options]

DESCRIPTION
dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed and correctness. dav1d supports the following features: Support for all features of the AV1 bitstream. Support for all bitdepth, 8, 10 and 12bits. Support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale. Full acceleration for AVX-2 64bits processors. Partial acceleration for SSSE3 processors. Partial acceleration for NEON processors.

OPTIONS

-i, --input=$file
    input file (required)

-o, --output=$file
    output file

--demuxer=$name
    force demuxer type ('ivf' or 'annexb'; default: detect from extension)

--muxer=$name
    force muxer type ('md5', 'yuv', 'yuv4mpeg2' or 'null'; default: detect from extension)

-q, --quiet
    disable status messages

-l, --limit=$num
    stop decoding after $num frames

-s, --skip=$num
    skip decoding of the first $num frames

-v, --version
    print version and exit

--framethreads=$num
    number of frame threads (default: 1)

--tilethreads=$num
    number of tile threads (default: 1)

--filmgrain
    enable film grain application (default: 1, except if muxer is md5)

--oppoint=$num
    select an operating point of a scalable AV1 bitstream (0 - 32)

--alllayers=$num
    output all spatial layers of a scalable AV1 bitstream (default: 1)

--verify=$md5
    verify decoded md5. implies --muxer md5, no output

--cpumask=$mask
    restrict permitted CPU instruction sets (0, 'sse2', 'ssse3', 'sse41', 'avx2' or 'avx512'; default: -1)

SEE ALSO
https://code.videolan.org/videolan/dav1d